=== src/api/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBW3CWidgetAPI.cpp
    UBW3CWidgetAPI.h
    UBWidgetMessageAPI.cpp
    UBWidgetMessageAPI.h
    UBWidgetUniboardAPI.cpp
    UBWidgetUniboardAPI.h
)
