=== src/document/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBDocumentContainer.cpp
    UBDocumentContainer.h
    UBDocumentController.cpp
    UBDocumentController.h
    UBDocumentProxy.cpp
    UBDocumentProxy.h
    UBSortFilterProxyModel.cpp
    UBSortFilterProxyModel.h
)
