=== src/globals/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGlobals.h
)
