=== src/gui/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBActionPalette.cpp
    UBActionPalette.h
    UBBackgroundPalette.cpp
    UBBackgroundPalette.h
    UBBlackoutWidget.cpp
    UBBlackoutWidget.h
    UBBoardThumbnailsView.cpp
    UBBoardThumbnailsView.h
    UBCachePropertiesWidget.cpp
    UBCachePropertiesWidget.h
    UBCircleFrame.cpp
    UBCircleFrame.h
    UBColorPicker.cpp
    UBColorPicker.h
    UBDockDownloadWidget.cpp
    UBDockDownloadWidget.h
    UBDockPalette.cpp
    UBDockPalette.h
    UBDockPaletteWidget.cpp
    UBDockPaletteWidget.h
    UBDocumentThumbnailWidget.cpp
    UBDocumentThumbnailWidget.h
    UBDocumentToolsPalette.cpp
    UBDocumentToolsPalette.h
    UBDownloadWidget.cpp
    UBDownloadWidget.h
    UBFavoriteToolPalette.cpp
    UBFavoriteToolPalette.h
    UBFeaturesActionBar.cpp
    UBFeaturesActionBar.h
    UBFeaturesWidget.cpp
    UBFeaturesWidget.h
    UBFloatingPalette.cpp
    UBFloatingPalette.h
    UBIconButton.cpp
    UBIconButton.h
    UBKeyboardPalette.cpp
    UBKeyboardPalette.h
    UBLeftPalette.cpp
    UBLeftPalette.h
    UBMagnifer.cpp
    UBMagnifer.h
    UBMainWindow.cpp
    UBMainWindow.h
    UBMessageWindow.cpp
    UBMessageWindow.h
    UBMessagesDialog.cpp
    UBMessagesDialog.h
    UBMousePressFilter.cpp
    UBMousePressFilter.h
    UBPageNavigationWidget.cpp
    UBPageNavigationWidget.h
    UBPropertyPalette.cpp
    UBPropertyPalette.h
    UBResources.cpp
    UBResources.h
    UBRightPalette.cpp
    UBRightPalette.h
    UBRubberBand.cpp
    UBRubberBand.h
    UBScreenMirror.cpp
    UBScreenMirror.h
    UBSnapIndicator.cpp
    UBSnapIndicator.h
    UBSpinningWheel.cpp
    UBSpinningWheel.h
    UBStartupHintsPalette.cpp
    UBStartupHintsPalette.h
    UBStylusPalette.cpp
    UBStylusPalette.h
    UBThumbnailView.cpp
    UBThumbnailView.h
    UBDocumentThumbnailsView.cpp
    UBDocumentThumbnailsView.h
    UBToolWidget.cpp
    UBToolWidget.h
    UBToolbarButtonGroup.cpp
    UBToolbarButtonGroup.h
    UBUpdateDlg.cpp
    UBUpdateDlg.h
    UBWebToolsPalette.cpp
    UBWebToolsPalette.h
    UBWidgetMirror.cpp
    UBWidgetMirror.h
    UBZoomPalette.cpp
    UBZoomPalette.h
)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    target_sources(openboard PRIVATE
        UBKeyboardPalette_linux.cpp
    )
endif()
