=== debian/changelog ===
openboard (1.7.3+dfsg-0.1build3) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:50:45 +0000

openboard (1.7.3+dfsg-0.1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:06:45 +0000
