=== debian/control ===
Source: openboard
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               grunt,
               imagemagick,
               libasound2-dev,
               libass-dev,
               libavformat-dev,
               libavcodec-dev,
               libbz2-dev,
               libfreetype-dev,
               liblzma-dev,
               libmp3lame-dev,
               libopus-dev,
               libogg-dev,
               libpoppler-cpp-dev,
               libpoppler-private-dev,
               libpoppler-dev,
               libquazip5-dev,
               libqt5svg5-dev,
               qtwebengine5-dev,
               libqt5xmlpatterns5-dev,
               libssl-dev,
               libswscale-dev,
               libtheora-dev,
               libva-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libxcb-shape0-dev,
               libxcb-render0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               lsb-release,
               node-grunt-contrib-uglify,
               node-grunt-contrib-concat,
               cmake,
               qtbase5-dev,
               qtmultimedia5-dev,
               qtscript5-dev,
               qttools5-dev-tools,
               qttools5-private-dev,
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
Homepage: https://github.com/OpenBoard-org/OpenBoard

Package: openboard
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openboard-common (>= ${source:Version}),
Breaks: openboard-common (<< 1.5.3-1~),
Replaces: openboard-common (<< 1.5.3-1~),
Suggests: openboard-fonts-nonfree,
Description: Interactive White Board Application
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.

Package: openboard-common
Architecture: all
Depends: ${misc:Depends},
 libjs-jquery,
 libjs-jquery-i18n-properties,
 libjs-jquery-ui,
 libjs-modernizr,
 libjs-mustache,
 fonts-ecolier-court,
 fonts-ecolier-lignes-court,
 fonts-sil-andika,
Recommends:
 fonts-linex,
Multi-Arch: foreign
Description: Interactive White Board Application (common files)
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.
 .
 This package contains all architecture independent files.
